package com.chinacreator.video;

import org.mybatis.spring.annotation.MapperScan;
import org.mybatis.spring.boot.autoconfigure.MybatisAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;

@EnableCaching
//@SpringBootApplication(exclude = MybatisAutoConfiguration.class)
@MapperScan({"com.chinacreator.video.mapper","com.chinacreator.video.restful.dao"})
@SpringBootApplication
public class VideoOrderApplication {

	public static void main(String[] args) {
		try {
			SpringApplication.run(VideoOrderApplication.class, args);
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println("/*************************测试fastjson升级是否成功开始*************************/");
		System.out.println("输出下面内容代表成功： ");
		System.out.println("com.alibaba.fastjson.JSONException: safeMode not support autoType : java.net.InetSocketAddress");
		try {
			String jsonStr = "{\"x\":{\"@type\":\"java.net.InetSocketAddress\"{\"address\":,\"val\":\"x.threatbook.com\"}}}";
			Object json1 = com.alibaba.fastjson.JSONObject.parse(jsonStr);
			System.out.println("测试输出内容=>"+json1);
		} catch (Exception e) {
			//e.printStackTrace();
			System.out.println("输出信息=》"+e.getMessage());
		}
		System.out.println("/**************************测试fastjson升级是否成功结束************************/");
	}
}

